Webhooks
Ping webhook
Fire-and-forget test delivery through the async dispatcher. The webhook must be enabled and verified.
POST
/v2/webhooks/{teamId}/{webhookId}/pingFire-and-forget test delivery through the async dispatcher. The webhook must be enabled and verified.
Authorization
apiKey x-api-key<token>
Public API key generated from Micro settings. Sent as the x-api-key header and validated by AWS API Gateway in front of the service.
In: header
Path Parameters
teamId*string
Format
uuidwebhookId*string
Format
uuidRequest Body
application/json
Optional test event payload.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://developers.micro.so/v2/webhooks/${MICRO_TEAM_ID}/${WEBHOOK_ID}/ping" \ -H "x-api-key: $MICRO_API_KEY" \ -H "Content-Type: application/json" \ -d '{}'{ "dispatched": true, "webhook_id": "a47606a1-5b39-4a81-9480-c2cb738ff675", "event": "string"}